package requestmapping

import (
	"PaymentCenter/app/constants/common"
	"PaymentCenter/app/http/entities/front"
)

var FrontRequestMap = map[string]func() interface{}{
	common.FRONT_V1 + "/pay/url":    func() interface{} { return new(front.PayReqs) },
	common.FRONT_V1 + "/pay/refund": func() interface{} { return new(front.RefundReqs) },
}

var FrontRequestMapBeforeDecrypt = map[string]func() interface{}{
	common.FRONT_V1 + "/pay/url": func() interface{} { return new(front.RequestBody) },
}
